# Maintainer: Crystal Linux Distribution Team <distribution@lists.getcryst.al>

pkgname=jade-gui
pkgver=1.9.4
pkgrel=2
pkgdesc='Libadwaita based GUI front-end for Jade'
license=('GPL-3.0-only')
arch=('x86_64' 'aarch64')
url="https://gitlab.com/crystal-linux/software/${pkgname}"
depends=('jade' 'openssl' 'libadwaita' 'python-pytz' 'gparted' 'vte4' 'gtksourceview5' 'python-tzlocal' 'python-requests' 'reflector')
makedepends=('meson' 'ninja' 'desktop-file-utils' 'appstream-glib' 'gtk4')
source=("${url}/-/archive/v${pkgver}/${pkgname}-v${pkgver}.tar.gz")
sha256sums=('98215c187d1deefa229c23e6cfc3c67c7557e4d704080c623b9fd10a5d53711c')

build() {
    cd "${pkgname}-v${pkgver}"
    meson --prefix="/usr" _build
    ninja -C _build
}

package() {
    cd "${pkgname}-v${pkgver}/_build"
    DESTDIR="${pkgdir}" ninja install
}
